PRIPS(1)

NAME
prips - print the IP addresses in a given range

SYNOPSIS
prips [-c] [-d delim] [-e exclude] [-f format] [-i incr] start end
prips [-c] [-d delim] [-e exclude] [-f format] [-i incr] CIDR-block
prips -h

DESCRIPTION
The prips tool can be used to print all of the IP addresses in a given range. It can enhance tools that only work on one host at a time, e.g. whois(1).

The prips tool accepts the following command-line options:

-c  Print the range in CIDR notation.

-d delim
    Set the delimiter to the character with ASCII code delim where 0 <= delim <= 255.

-e <x.x.x,x.x>
    Exclude ranges from the output.

-f format
    Set the format of addresses (hex, dec, or dot).

-h  Show summary of options.

-i incr
    Set the increment to 'x'.

ENVIRONMENT
The prips tool's operation is not influenced by any environment variables.

FILES
The prips tool's operation is not influenced by any files.

EXAMPLES
Display all the addresses in a reserved subnet:

    prips 192.168.32.0 192.168.32.255

The same, using CIDR notation:

    prips 192.168.32/24

Display only the usable addresses in a class A reserved subnet using a space instead of a newline for a delimiter:

    prips -d 32 10.0.0.1 10.255.255.255

Display every fourth address in a weird block:

    prips -i 4 192.168.32.7 192.168.33.5

Determine the smallest CIDR block containing two addresses:

    prips -c 192.168.32.5 192.168.32.11

DIAGNOSTICS

SEE ALSO
ipsc(1), gipsc(1)

STANDARDS
No standards were harmed in the writing of the prips tool.

HISTORY
The prips tool was originally written by Daniel Kelly and later adopted by Peter Pentchev. This manual page was originally written by Juan Alvarez for the Debian GNU/Linux system and later added to the prips distribution and converted to mdoc format by Peter Pentchev.

AUTHORS
Daniel Kelly <dan@vertekcorp.com> Juan Alvarez <jalvarez@fluidsignal.com> Peter Pentchev <roam@ringlet.net>

BUGS
Please report any bugs in the prips tool to its current maintainer, Peter Pentchev.